package electrosphere.game.data.structure.type.model;

import java.util.List;

/**
 * Map of name of structure to data about said structure
 */
public class StructureTypeMap {
    List<StructureType> structures;

    public List<StructureType> getStructures() {
        return structures;
    }
    
    public StructureType getType(String name){
        StructureType rVal = null;
        for(StructureType type : structures){
            if(type.getName().equals(name)){
                rVal = type;
                break;
            }
        }
        return rVal;
    }
    
    
}
